package routes

import (
	"nearle/facade"

	"github.com/gofiber/fiber/v2"
)

func RegisterRoutes(app *fiber.App, f *facade.Facade) {

	api := app.Group("/live/api")

	RegisterUserRoutes(api, f)
	RegisterProductRoutes(api, f)
	RegisterOrderRoutes(api, f)
	RegisterDeliveriesRoutes(api, f)
	RegisterUtilsRoutes(api, f)
	RegisterTenantRoutes(api, f)
	RegisterPartnerRoutes(api, f)
	RegisterCustomerRoutes(api, f)
	RegisterCatalogueRoutes(api, f)
	RegisterPosRoutes(api, f)
}
